Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.webreport.beans
Class DHTMLFlyResourceScope

    java.lang.Object
      jet.webreport.beans.DHTMLFlyResourceScope

All Implemented Interfaces:
  java.io.Serializable

    public class DHTMLFlyResourceScope

extends java.lang.Object
implements java.io.Serializable

DHTMLFlyResourceScope provides serializable scope for dynamic resources.

See Also:
  Serialized Form

Constructor Summary
`DHTMLFlyResourceScope()`

Method Summary
`java.lang.String` | `getBLName()` Returns the BL name.
`java.lang.String` | `getDataSourceName()` Returns UnsupportedOperationException.
`java.lang.String` | `getKeyword()` Returns the keyword.
`java.lang.String` | `getQueryName()` Returns UnsupportedOperationException.
`java.lang.String` | `getReportName()` Returns the report name.
`int` | `getResourceType()` Returns the resource type.
`void` | `setBLName(java.lang.String name)` Sets the BL name.
`void` | `setDataSourceName(java.lang.String dataSourceName)` Sets the data source name.
`void` | `setKeyword(java.lang.String keyword)` Sets the keyword.
`void` | `setQueryName(java.lang.String queryName)` Sets the query name.
`void` | `setReportName(java.lang.String reportName)` Sets the report name.
`void` | `setResourceType(int resourceType)` Sets the resource type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHTMLFlyResourceScope

    public DHTMLFlyResourceScope()

Method Detail

### getBLName

    public java.lang.String getBLName()

  Returns the BL name.

  Returns:
    the BL name.

### setBLName

    public void setBLName(java.lang.String name)

  Sets the BL name.

  Parameters:
    `name` - the BL name.

### getDataSourceName

    public java.lang.String getDataSourceName()

  Returns UnsupportedOperationException.

  Throws:
    `UnsupportedOperationException.`

### setDataSourceName

    public void setDataSourceName(java.lang.String dataSourceName)

  Sets the data source name.

  Parameters:
    `dataSourceName` - the data source name.

### getKeyword

    public java.lang.String getKeyword()

  Returns the keyword.

  Returns:
    the keyword.

### setKeyword

    public void setKeyword(java.lang.String keyword)

  Sets the keyword.

  Parameters:
    `keyword` - the keyword.

### getQueryName

    public java.lang.String getQueryName()

  Returns UnsupportedOperationException.

  Throws:
    `UnsupportedOperationException.`

### setQueryName

    public void setQueryName(java.lang.String queryName)

  Sets the query name.

  Parameters:
    `queryName` - the query name.

### getReportName

    public java.lang.String getReportName()

  Returns the report name.

  Returns:
    the report name.

### setReportName

    public void setReportName(java.lang.String reportName)

  Sets the report name.

  Parameters:
    `reportName` - the report name.

### getResourceType

    public int getResourceType()

  Returns the resource type.

  Returns:
    the resource type.

### setResourceType

    public void setResourceType(int resourceType)

  Sets the resource type.

  Parameters:
    `resourceType` - the resource type which is defined in jet.reportset.DataSet:
      `DataSet.DATA_RESOURCE_TYPE_QUERY`
      `DataSet.DATA_RESOURCE_TYPE_BUSINESS_LOGIC`
      `DataSet.DATA_RESOURCE_TYPE_BUSINESS_VIEW`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD